@import "font.css";
@import "fontOpenSans.css";
@import "fontJetbrains.css";


html {
    scroll-behavior: smooth;
}

html[dir='rtl'] body {
    font-family: 'n', sans-serif;
}


html[dir='ltr'] body {
    font-family: 'op', sans-serif;
}


@media (min-width: 800px) {


    html[data-bs-theme="light"]:not([admin]) {


        *, * *, * * * {
            cursor: url('../image/cursorNew.svg'), default !important;
            cursor: url('../image/cursorNew.svg'), pointer !important;
        }


        .arrowsCursor {
            cursor: url('../image/arrows-dark.svg'), default !important;
            cursor: url('../image/arrows-dark.svg'), pointer !important;
        }

        .noCursor, .noCursor * *, .noCursor * * * {
            cursor: none !important;
        }


    }

    html[data-bs-theme="dark"]:not([admin]) {


        *, * *, * * * {
            cursor: url('../image/cursorNew.svg'), default !important;
            cursor: url('../image/cursorNew.svg'), pointer !important;
        }

        .arrowsCursor {
            cursor: url('../image/arrows-light.svg'), default !important;
            cursor: url('../image/arrows-light.svg'), pointer !important;
        }

        .noCursor, .noCursor * *, .noCursor * * * {
            cursor: none !important;
        }

    }
}

.pointer {
    cursor: pointer !important;
}

.sahand-logo {
    width: 50px;
    height: 50px;

    --rotateY: 0deg;
    transform: rotateX(var(--rotateY));
    transition: transform 0.1s ease-out;
    transform-style: preserve-3d;
    will-change: transform;
}

.navbar-brand {
    perspective: 800px;
}


.hover-opacity-10 > * {
    transition-timing-function: ease-in-out;
    transition-duration: .2s;
    opacity: 1;
}

.hover-opacity-10:hover > * {
    opacity: .7 !important;
}

.img-wrap {
    position: relative;
    display: inline-block;
    overflow: hidden;
}

.img-wrap img {
    display: block;
    width: 100%;
    height: auto;
}

.img-wrap::after {
    content: "";
    position: absolute;
    inset: 0;
    pointer-events: none;
    background: linear-gradient(90deg,
    rgba(255, 255, 255, 0.7) 0%,
    rgba(255, 255, 255, 0.45) 40%,
    rgba(0, 0, 0, 0) 100%);
}

.sahand-gradiant {
    background: linear-gradient(90deg, #0d1d2c 0%, #244b5f 100%);
}

.bg-cover {
    background-position: center;
    background-size: cover;
}


.eventIcon {
    width: 40px;
    height: 40px;
}

.colorIcon {
    width: 20px;
    height: 20px;
}

.socialMediaIcon {
    width: 40px;
    height: 40px;
    /*filter: drop-shadow(0px .5px 0px rgb(255, 255,255,1));*/
}

.miniIconSocial {
    width: 40px;
    height: 40px;
}

.blur-10 {
    backdrop-filter: blur(10px);
}

.blur-2 {
    backdrop-filter: blur(20px);
}

.bg-socialMedia {
    background-image: linear-gradient(#000000ba, #000000b0);
}

.navbar-nav .dropdown-header {
    min-width: 180px;
    position: absolute;
    background-color: white;
    margin-top: -5px;
    opacity: 0;
    visibility: hidden;
    transition: all .2s ease-in-out;

}

.navbar-nav .nav-item:hover > .dropdown-header,
.dropdown-header:hover {
    opacity: 1;
    visibility: visible;
    margin-top: 0;
}

.dropdown-header li a:hover {
    color: #0077ff;
    background-color: rgba(85, 85, 85, 0.04);
}

ul.dropdown-header li:first-child a {
    padding-top: 17px !important;
}

ul.dropdown-header li:last-child a {
    padding-bottom: 17px !important;
}

div.socialMediaBox {
    opacity: 0;
    animation-direction: alternate;
    animation-duration: .5s;
    animation-delay: 1s;
    animation-fill-mode: forwards;
}

@keyframes fadeInRtl {
    from {
        transform: translateX(-10px) !important;
        opacity: 0;
    }
    to {
        transform: translateX(-5px) !important;;
        opacity: 1;
    }
}

@keyframes fadeInLtr {
    from {
        transform: translateX(10px) !important;;
        opacity: 0;
    }
    to {
        transform: translateX(5px) !important;;
        opacity: 1;
    }
}

html[dir=rtl] div.socialMediaBox {
    animation-name: fadeInRtl;
}

html[dir=ltr] div.socialMediaBox {
    animation-name: fadeInLtr;
}

html[dir=rtl] div.socialMediaBox {
    transition: .2s ease-in-out all;
    border-spacing: 20px;
    border-style: outset;
    border-color: #5555553d;
    border-width: 1px;
    transform: translateX(-5px);
}

html[dir=rtl] div.socialMediaBox:hover {
    transform: translateX(0px);
}


html[dir=ltr] div.socialMediaBox {
    transition: .2s ease-in-out all;
    border-spacing: 20px;
    border-style: outset;
    border-color: #5555553d;
    border-width: 1px;
    transform: translateX(5px);
}

html[dir=ltr] div.socialMediaBox:hover {
    transform: translateX(0px);
}


div.socialMediaBox a:hover {
    background-color: rgba(68, 68, 68, 0.15);
}

.pointer-event-none {
    pointer-events: none;
}

.no-select {
    -webkit-user-select: none; /* Chrome, Safari */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge قدیمی */
    user-select: none;
}


/*nav.header-nav {*/
/*    background: linear-gradient(#1d2f2d21, #526d7175);*/
/*}*/


.aluminum-bg-header {
    background-color: #cfcfcf;
    background: repeating-linear-gradient(-45deg, rgba(255, 255, 255, 0.00) 1px, rgba(255, 255, 255, 0.0) 1px, rgba(0, 0, 0, 0.05) 2px, rgba(0, 0, 0, 0.05) 20px), linear-gradient(180deg, #e5e5e5 0%, #bfbfbf 0%, #e0e0e0 0%);
}


.aluminum-bg {
    background-color: #cfcfcf;
    background: repeating-linear-gradient(-45deg, rgba(255, 255, 255, 0.00) 1px, rgba(255, 255, 255, 0.0) 1px, rgba(0, 0, 0, 0.05) 2px, rgba(0, 0, 0, 0.05) 20px), linear-gradient(180deg, #e5e5e5 0%, #bfbfbf 0%, #e0e0e0 0%);
}


.aluminum-bg-notification {
    /*background-color: rgba(var(--bs-secondary-bg-rgb), 1);*/
    /*background: repeating-linear-gradient(180deg, rgba(255, 255, 255, 0.10) 1px, rgba(255, 255, 255, 0.015) 1px, rgba(0, 0, 0, .001), rgba(0, 0, 0, 0.05) 5px), linear-gradient(180deg, rgba(var(--bs-secondary-bg-rgb), 1), #8000 50%, rgba(var(--bs-secondary-bg-rgb), 1));*/
}

.socialBoxBackground:hover {
    /* background-image: repeating-linear-gradient(90deg, rgba(212, 167, 167, 0.08) 10px, rgba(109, 98, 98, 0.71) 1px, rgba(202, 202, 202, 0.68) 2px, rgba(187, 187, 187, 0.05) 3px), linear-gradient(180deg, #f8f8f8 0%, #a8aeb4 50%, #b4b4b4 100%)*/
    /*background: rgba(0, 0, 0, 0.34);*/
}


.text-shadow {
    text-shadow: 0px 1px 0px #fff;
}

.text-main-color {
    color: #01273c;
}

:root {
    --mainColor: rgba(1, 39, 60, 1);
}

li a.navigationLinkHover:hover {
    color: #406165;
}


li a.navigationLinkHover {
    color: var(--mainColor);
}


.text-main-color:hover {
    color: #01273c;
}


.bg-main-color {
    background-color: #01273c;
}

.grid-area-1-1 {
    grid-area: 1 / 1;
}

/* Preloader */
#preloader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 999999999999999999;
}

.imagePreload {
    width: 100px;
    height: 100px;
    filter: brightness(20);
}


body {
    overflow: hidden;
}

.pt-80 {
    padding-top: 80px !important;
}


.top-80 {
    top: 80px !important;
}


/* نوار آلومینیومی */
.aluminum-bar {
    width: 220px;
    height: 12px;
    border-radius: 6px;
    background: linear-gradient(
            110deg,
            #9e9e9e 25%,
            #e0e0e0 37%,
            #9e9e9e 63%
    );
    background-size: 200% 100%;
    animation: shine 1.4s linear infinite;
}

/* انیمیشن درخشش فلزی */
@keyframes shine {
    to {
        background-position: -200% 0;
    }
}


.vh100 {
    height: 100vh;
}


.title {
    border-bottom: 1px solid var(--bs-light-bg-subtle);
}